Subject: Re: bug#1305: All code that currently beeps should use visual bell instead

From: Dmitry Gutov <[email-masked]>
Date: Wed, 21 Apr 2021 04:16:02 +0300

On 20.04.2021 22:19, Gregory Heytings wrote:
> 
>>
>> In general, I like it
>>
> 
> Thank you :-)
> 
>>
>> (though the concerns about colors are still there; perhaps just use 
>> inverse-video in GUI as well?).
>>
> 
> You mean, do what (setq visual-bell t) does?  There's already an option 
> for that...

Not on all platforms, though.

>> And it turns the cursor red irreversibly in my config (but not in 
>> 'emacs -Q').
>>
> 
> That's rather strange, color-bell--cursor-background is saved only once, 
> when visual-bell is called for the first time.  I'll try to reproduce 
> the issue, but some more detailed information (e.g. with 
> debug-on-variable-change) would be welcome.

I'll try bisecting when I have the time. In any case, it's just an 
implementation bug, not a blocker.

>> Is nobody bothered by having this kind of visual indication while 
>> 'visible-bell' is nil, though?
>>
> 
> It's easy to turn off, as indicated in NEWS: (setq ring-bell-function 
> nil).

I mean, like, semantically: this new proposal is also visual/visible.

But 'visible-bell' is nil.

> And IMO this is way better than the current situation, in which 
> the default behavior depends on too many parameters that are outside the 
> control of Emacs, in which the available options are different depending 
> on the platform, and in which on certain platforms none of the available 
> options are good.

My #1 preference would be to make it all behave like (setq visible-bell 
t) on GNU/Linux does. This way we both get a proven behavior with no 
significant complaints, as well as consistency across platforms.

But your proposal is a close second.